SND_PCM_HW_PARAM_VAL(9)

NAME
snd_pcm_hw_param_value - return params field var value

SYNOPSIS

int snd_pcm_hw_param_value(const struct snd_pcm_hw_params * params, snd_pcm_hw_param_t var, int * dir);

ARGUMENTS

params
    the hw_params instance

var
    parameter to retrieve

dir
    pointer to the direction (-1,0,1) or NULL

RETURN

The value for field var if it's fixed in configuration space defined by params. -EINVAL otherwise.

COPYRIGHT